// Persistence of Vision Ray Tracer Scene Description File
// File: Rotring.pov
// Vers: 3.1
// Desc: A Rotring(tm) refillable pencil-Needs ro be improved by a better POV-artist!!!!
// Date: 4-feb-1999
// Auth: Wouter 'Bugs74' Dijk, The Netherlands, wdijk@hotmail.com 

// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
#include "metals.inc"
#include "skies.inc"

//sky_sphere { S_Cloud3 }

//light_source {< 10.0 , 10.0 , 20.0> color White shadowless}
//light_source {< -10.0 , 10.0 ,20.0> color White shadowless}
light_source {< 10.0 , 10.0 , -20.0> color White shadowless}
light_source {<-10.0 , 10.0 , -20.0> color White}

camera {location  < 0.0 , 5.0 , -8.0> look_at < 0.0 , 0.0 , 0.0>}       //The Whole Pencil
                                       
#declare clip =
union {
object {
        intersection {
        cylinder { < 0.0 , 0.0 , 0.0 > < -0.35 , 0.0 , 0.0 > ,0.8 }
        cylinder { < 0.0 , 0.0 , 0.0 > < -0.35 , 0.0 , 0.0 > ,0.75 inverse }
        }
        }
       
object {
       intersection { 
       cylinder { < 0.0 , 0.0 , -0.2 > < 0.0 , 0.0 , 0.2 > ,0.15 }
       box { < 0.0 , 0.0 , -0.5 > < -0.5 , 0.5 , 0.5 > inverse}
       box { < -0.5 , 0.0 , -0.5 > < 0.5 , -0.5 , 0.5 > inverse }
       }
       scale <1,1.5,1>
       translate <-0.15 , 0.8 , 0.0 >
       }
box { <-0.15 , 1.025 , -0.2 > <-3.675 , 0.925 , 0.2 > }
cylinder { <-3.675 , 0.975 , -0.2 > <-3.675 , 0.975 , 0.2 > ,0.05 }

texture { T_Chrome_1E }

}
                                    
#declare Rotring1 = 
union {
cylinder { < 0.5 , 0.0 , 0.0 > < 0.0 , 0.0 , 0.0 > ,0.6 texture { T_Chrome_1E } }
sphere { < 0.0 , 0.0 , 0.0 >,0.6 scale < 0.3 , 1.0 , 1.0 > translate x*0.5 texture { T_Chrome_1E } }
 
cylinder { < 0.0 , 0.0 , 0.0 > <-0.25 , 0.0 , 0.0 > ,0.8 pigment { Gray65 } finish { F_MetalB } }
cylinder { <-0.25 , 0.0 , 0.0 > <-0.65 , 0.0 , 0.0 > ,0.7 pigment { Gray65 } finish { F_MetalB } }
cylinder { <-0.65 , 0.0 , 0.0 > <-7.60 , 0.0 , 0.0 > ,0.8 pigment { Gray65 } finish { F_MetalB } }
cylinder { <-7.60 , 0.0 , 0.0 > <-7.75 , 0.0 , 0.0 > ,0.8 pigment { color rgb <0.75 , 0.1 , 0.1> } finish { F_MetalB } }
cylinder { <-7.75 , 0.0 , 0.0 > <-8.75 , 0.0 , 0.0 > ,0.8 pigment { Gray65 } finish { F_MetalB } }

cylinder { <-8.75 , 0.0 , 0.0 > <-11.1 , 0.0 , 0.0 > ,0.75 pigment { Gray65 } finish { F_MetalB } }
torus { 0.6 , 0.2 rotate < 90.0 , 90.0 , 0.0 > scale <2,1,1> translate x*-8.75 pigment { Gray65 } finish { F_MetalB } }
torus { 0.6 , 0.2 rotate < 90.0 , 90.0 , 0.0 > scale <1.1,1,1> translate x*-9.25 pigment { Gray65 } finish { F_MetalB } }
torus { 0.6 , 0.2 rotate < 90.0 , 90.0 , 0.0 > scale <1.1,1,1> translate x*-9.65 pigment { Gray65 } finish { F_MetalB } }
torus { 0.6 , 0.2 rotate < 90.0 , 90.0 , 0.0 > scale <1.1,1,1> translate x*-10.05 pigment { Gray65 } finish { F_MetalB } }
torus { 0.6 , 0.2 rotate < 90.0 , 90.0 , 0.0 > scale <1.1,1,1> translate x*-10.45 pigment { Gray65 } finish { F_MetalB } }
torus { 0.6 , 0.2 rotate < 90.0 , 90.0 , 0.0 > scale <1.05,1,1> translate x*-10.85 pigment { Gray65 } finish { F_MetalB } }

cone { < -11.1 , 0.0 , 0.0 > ,0.7 ,< -11.4 , 0.0 , 0.0 > ,0.6 texture { T_Chrome_1E } }
cone { < -11.4 , 0.0 , 0.0 > ,0.55 ,< -12.1 , 0.0 , 0.0 > ,0.3 texture { T_Chrome_1E } }
cylinder { < -12.1 , 0.0 , 0.0 > < -12.15 , 0.0 , 0.0 > ,0.25 texture { T_Chrome_1E } }
cone { < -12.15 , 0.0 , 0.0 > ,0.25 ,< -12.35 , 0.0 , 0.0 > ,0.125 texture { T_Chrome_1E } }
cylinder { < -12.35 , 0.0 , 0.0 > < -12.65 , 0.0 , 0.0 > ,0.1 texture { T_Chrome_1E } }

cylinder { < -12.65 , 0.0 , 0.0 > < -12.8 , 0.0 , 0.0 > ,0.07 pigment { Gray25 } }

object {clip translate x*-0.275 }

scale < 0.9 , 0.5 , 0.5 >
}

#declare side_button =
union {                       
cylinder { < -2.0 , 0.0 , 0.0 > < -2.0 , 0.35 , 0.0 > ,0.2 }
sphere { < -2.0 , 0.35 , 0.0 > ,0.2 }
texture { T_Chrome_1E }
rotate x*-90
}

#declare Rotring =
union {
object {Rotring1}
object {side_button}
}

object { Rotring scale 0.5 rotate y*-30 translate < 2.0 , -0.5 , -1.5 > }

height_field
{
  png "testing2.png"
  texture
  {
    pigment
    {
      image_map { png "testing2.png" map_type 0 interpolate 2 once }
      rotate x*90 
    }
  }
  scale <8.0 , 0.0001 , 11.0 >
  translate <-4.0 , -0.8 , -5.5>
}
 